ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
0

yoaurt cannot build ros-indigo-desktop-full !!

asked 2017-02-15 09:02:08 -0500

Mohamed Slama gravatar image

Hello , i have a problem on my antergos based on archlinux that yoaurt can't build ros indigo desktop,

i use this command to install:

yaourt --noconfirm --needed ros-indigo-desktop

result is:

In file included from plugin_context.sip:7:0: /tmp/yaourt-tmp-mohamedslama/aur-ros-indigo-qt-gui-cpp/src/qt_gui_core-release-release-indigo-qt_gui_cpp-0.2.30-0/src/qt_gui_cpp_sip/../../include/qt_gui_cpp/plugin_context.h:43:19: fatal error: QWidget: No such file or directory #include <qwidget> ^ compilation terminated. make[3]: * [Makefile:18: siplibqt_gui_cpp_sipcmodule.o] Error 1 make[2]: [src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/build.make:61: devel/lib/python2.7/site-packages/qt_gui_cpp/libqt_gui_cpp_sip.so] Error 2 make[1]: [CMakeFiles/Makefile2:375: src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/all] Error 2 make: * [Makefile:128: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build ros-indigo-qt-gui-cpp. ==> Restart building ros-indigo-qt-gui-cpp ? [y/N] ==> ---------------------------------------------- ==> ==> Restart building ros-indigo-rqt-gui-cpp ? [y/N] ==> ----------------------------------------------- ==> ==> Restart building ros-indigo-rqt-image-view ? [y/N] ==> -------------------------------------------------- ==> ==> Restart building ros-indigo-rqt-common-plugins ? [y/N] ==> ------------------------------------------------------ ==> ==> Restart building ros-indigo-desktop ? [y/N] ==> -------------------------------------------

after that exit without cann't press any key.

Thanks in advance.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-03-01 17:42:17 -0500

tfoote gravatar image

It looks like you're missing dependencies. Specifically QWidget. You'll need to make sure you have all the prerequisites before your compile will work.

edit flag offensive delete link more

Question Tools

2 followers

Stats

Asked: 2017-02-15 09:02:08 -0500

Seen: 226 times

Last updated: Mar 01 '17